VB Image Extractor

Bug Report VB Image Extractor

The VB Image Extractor is designed to recover the graphics files from VB files.

First you need to specify the VB file to be used. Enter a path and file name in the top TextBox then provide a path to be used for the extracted files. Once both are entered the 'Extract' CommandButton will be enabled.

Image Extractor Tool

VB Image Extractor

When the settings are correct click the 'Extract' CommandButton and the process will begin. As each image is extracted it's placed in the dialog and saved to the destination folder with a number as part of the filename.

After Extracting - TurboVB File

After Extracting - TurboVB File

The destination folder will be defaulted from the last previous entry.


TurboVB Mini Apps

Bug Report TurboVB Mini Apps

TurboVB Mini Apps is a set of four tools designed to be helpful in your VB development.

The tools are: -

VB Image Extractor | This application allows you to extract bitmaps and icons from VB files.
Component Registering Tool | This application allows you to register and unregister components from explorers right click menu.
Pixel Color Tool | Gives the color of the current screen pixel in a variety of formats.
Recent Projects Controller | This application allows you to edit VBs' recent menu.

TurboVB Mini Apps comes with free support and all future updates are free.

Registered users of TurboVB are provided with TurboVB Mini Apps for free

View the TurboVB Mini Apps page on the TurboVB website to ensure you have the latest version(s).


Recent Projects Controller

Bug Report Recent Projects Controller

The Recent Projects Controller application is designed to give you control over Visual Basics' recent projects menu.

The Recent Projects Controller dialog

The Recent Projects Controller dialog

When you start the progam you will see all your recent projects list in the ListView. Check all those that you want removed and click 'Delete'.


Component Registering Tool

Bug Report Component Registering Tool

The purpose of the Component Registering Tool is to make the often tedious process of registering and unregistering Dlls' and OCXs' easier.

To enable the features of the Component Registering Tool just run the 'Register.exe' file and the following dialog will be displayed.

The Component Registering Tool dialog

The Component Registering Tool dialog

The function of the Component Registering Tool is to add entries to the Explorer right click menus for Dlls and OCXs. If you now right click on a DLL or OCX you should see two additional entries.

The Right Click Menu

The Right Click Menu

You can now register and unregister files by selecting the appropriate menu items.


Pixel Color Tool

Bug Report Pixel Color Tool

Pixel Color Tool gives you the color of the current screen pixel.

Pixel Color Tool

Pixel Color Tool

Simply move your cursor around the screen and the color values are displayed. The values are given in hexadecimal and decimal. If the color matches a 'color name' recognized by Internet Explorer then that name is also shown.


Purchasing TurboVB Mini Apps

Bug Report Purchasing TurboVB Mini Apps

When you purchase you get the full benefits of TurboVB Mini Apps. All restrictions listed below in limitations are removed.

To remove all limitations from TurboVB Mini Apps you need a Serial No. You will receive the Serial No, as well as all the other details needed, in an email when you purchase the product.

An example of the email you will receive is below.

To register TurboVB Mini Apps open the About form from any of the tools.

Click the 'Register' button and the Registration screen will appear.

Enter the items below into the form.

Name: TurboVB Mini Apps
Date: 01/01/2004
Purchase ID: 12345
Serial No: 5678910

then click 'Register'. TurboVB Mini Apps is now registered to you.

In the event of any problems please contact us at miniapps@turbodeveloper.com

You are now entitled to all future updates of TurboVB Mini Apps.

Thank You,
Turbo Developer Ltd

Price

The current prices of TurboVB Mini Apps in the main currencies are shown below: -

US Dollars | US Dollars $29 | UK Pounds | UK Pounds £18
 | Euros | Euros €26

Other currencies are supported, for example Australian and Canadian Dollars. The prices in these currencies are based on that days' rate of exchange.

TurboVB Mini Apps is licenced by the site! Pay just once for ALL your developers! By purchasing you are entitled, for free, to all future versions of TurboVB Mini Apps!

Purchasing With Share It!

We have selected Share It! as our e-commerce providers. If you would like to purchase TurboVB Mini Apps securely on-line go to Purchase TurboVB Mini Apps. Once payment is received the Serial No. will be emailed to you immediately. If you have already ordered TurboVB Mini Apps and would like to view data relating to your order, or if you have questions about orders, payments, or delivery, please visit the Share It! Customer Care Center.

Share It! employs the highest levels of security available. Their servers support SSL Version 3 and 168-bit Triple DES encryption, and the RSA module and SSL sessions feature 1024-bit encryption.

Share It! also accept orders via email at: support@shareit.com Please include all the details in the order form below.

You can choose to place your order with their customer service team by phone, fax or postal mail.

Please print out the order form, and fax or mail it to:

ShareIt!
element 5 AG
Vogelsanger Str. 78
50823 Cologne
Germany

Phone: +49-221-31088-20
Fax: +49-221-31088-29

E-Mail: support@shareit.com

US and Canadian customers can also order by calling toll-free on 1-800-903-4152.

US check and cash orders can be sent to the US office at:

ShareIt! Inc.
P.O. Box 844
Greensburg,
PA 15601,
USA
Phone: (724) 850 - 8186
Fax: (724) 850 - 8187

*** ALL CHECKS SENT TO THE U.S. OFFICE MUST BE MADE PAYABLE TO: "ShareIt! Inc." ***

Registering

Please note that the minimum length of your registered name is 4 characters.

When you have the Serial No you are ready to perform the registration of TurboVB Mini Apps. Open the 'Register' item in the menu of any of the tools and the registration form is displayed.

Registration

Enter the details from the email into the various TextBoxes and click 'Register'. You should now see that it's registered to you. In the event of any problems please email me at miniapps@turbodeveloper.com.

Limitations

TurboVB Mini Apps is trialware, during the trial the following restrictions apply: -

A Niggle screen is shown every time a tool is loaded.
Image Extractor will only extract the first 5 graphics.
There is a 14 day trial period.


Limited Warranty

Bug Report Limited Warranty

License Agreement

You should carefully read the following terms and conditions before using 'TurboVB Mini Apps'. Your use of 'TurboVB Mini Apps' indicates your acceptance of this license agreement and warranty.

Governing Law

This agreement shall be governed by the laws of the United Kingdom.

Disclaimer of Warranty

THIS SOFTWARE AND THE ACCOMPANYING FILES IS PROVIDED "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE OF MERCHANTABILITY OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED. Because of the various hardware and software environments that 'TurboVB Mini Apps' could be used on, NO WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE IS OFFERED.

Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it. The user must assume the ENTIRE RISK of using the program. NO LIABILITY IS ACCEPTED.

Evaluation and Registration

This is NOT free software. You are hereby licensed to use this software for evaluation purposes on any machine within a site without charge for 14 days. After 14 days you should purchase 'TurboVB Mini Apps' or remove 'TurboVB Mini Apps' from your system/site.

Distribution

Provided that you verify that you are distributing the trialware version (14 days Use limit) you are hereby licensed to make as many copies of the software and documentation as you wish; give exact copies of the original trialware version to anyone; and distribute the trialware version of the software and documentation in its unmodified form via any means.


Contact Us

Bug Report Contact Us

We are dedicated to providing tools that enable you to get large productivity gains in your programming. Turbo Developer Ltd was formed in 2003 and is located in Wales which is part of the UK.

General: | info@turbodeveloper.com
Sales: | sales@turbodeveloper.com
Support: | support@turbodeveloper.com
TurboVBLite: | turbovblite@turbodeveloper.com
TurboVB Mini Apps: | miniapps@turbodeveloper.com

Address: | 1 Heol Pen-y-Cae | Tel No.: | 01792 527923
 | Gorseinon
 | Swansea
 | UK


TurboVB - VB at TurboVB Speed

TurboVB V3.1 is an integrated feature packed add-in tool for Microsoft® Visual Basic™ 6; a major enhancement to the VB IDE. It provides forty add-ins plus many other functions that provide great productivity gains. It helps to remove some of the repetitive elements in VB programming, this allows you to focus on your more important tasks. The tool is designed to be highly integrated and configurable, to suit your particular requirements.

The hours saved by this VB tool will soon add up to days of extra development time! On how many of your projects have you wished for extra time to fit everything in, with TurboVB this time will be there! Once purchased all updates are yours free of charge. TurboVB also comes with free support and a site wide licence as standard, you just can't go wrong!

Among its many features are SQL formatting, procedure building, auto documenting a project, control property defaulting, hot key support, property building, automatically scripting of databases, standard monitoring, automatically coding new controls, code formatting, easy tab order control, custom error handlers and listing a procedures callers.

View the TurboVB website to get the latest info.


Testimonials

Bug Report Testimonials

Companies all over the world have recognised the benefits that TurboVB brings. The customer base ranges from students to individual IT consultants and through to companies small, large and global. The industry types are diverse, from corporate services, management consultants, finance, pharmaceuticals, media, ISPs, science and law firms to game developers.

Here are some testimonials from users about TurboVB. Richard Southey, the author of VBZip has written a review of TurboVB.

I do a lot of Visual Basic development. I have found the tools within TurboVB to be invaluable. They have saved countless hours and have kept me from making costly mistakes. Without TurboVB, I may as well go back to a coding pad and a pencil.

Terry Kasper - US www.newfx.com

I am a lawyer. What do lawyers know about VB? Not much. Thank heavens for TurboVB!

James K. Ball - US www.strosbergco.com

Our team could not believe how much time we saved and it allowed us to adhere more rigorously to company coding standards because all the tedious commenting and header writing was done for us. Just the time it takes to comment a small project would cover the cost of this outstanding tool. Simple to use and to the point...great!

Chris Bates (Senior Analyst Developer) - UK www.torex.com

If you are a VB developer working on a project of almost any size, buy TurboVB. You'll have time to thank me later with the hours saved by this little tool.

Martin Saindon - Canada www.a2m.com

I don't have the capability to list all the things that TurboVB can do for a programmer. It's a very powerful tool. The only way to have a clear idea of all the benefits is to try it... and then imagine doing without it! My money was well spent! Thanks for the great job and support.

Nanide - Italy www.nanide.com


TurboVB V3.1 - The Benefits

TurboVB
Bug Report TurboVB V3.1 - The Benefits

The number one benefit of TurboVB is the extra time it gives you to complete your project on time, and every project after that. TurboVB has a site licence as standard and free support. TurboVB has a regular release schedule with new add-ins and enhancements to existing features. This new releases are free to registered users.

Remember that many add-ins, all add-in options and General Options are available only once purchased, these will provide even more of a boost to your productivity. View testimonials to read some quotes from customers.

Procedure Builder
Build your procedures with custom designed headers and error handlers all at once
Property Builder
Builds your properties together with the module variable and an error handler if required
Proc Recoder
With 19 different functions Proc. Recoder on its own will save you days of development time
Standards Monitor
Ensure that your standards are being adhered too and fix them in an instant when they aren't
Control Coder
Codes the events of controls as soon as you place them on a form, complete with headers and error handlers
Auto Access Keys
Give every suitable control an access key at the click of a button using your standards
Auto Coder
Give all procedures in a module a header and/or an error handler
Search
Search across project groups, search by regular expressions - gives you complete control over searching
Auto Declare
Declare your variables with a button click or a hotkey as you code - Click and forget!
Clear Immediate Window
Clears the immediate window
Close Inactive Windows
Save resources by closing all but the active window
Code Maintenance
Formats your code and gives you reports, plus other functions
Control Defaulter
Define your own property settings for new controls - no more setting Text to "" from "Text1"
DB Data Scripter
Scripts out the contents of SQL Servers databases helps to create a testing environment
Dirty Project
Know when changes have been made to a project
Get Latest Versions
Ensure that you are always working with the latest versions, works even across project groups
List My Callers
Lists all the callers of a procedure even across projects
Menu Copier
Quickly copy the menu structure of another form
Clipboard Ring
Provides you with a history of the clipboard
MsgBox Builder
Build MsgBox statements graphically
Multi Check In
Check in all your checked out work, even across project groups
Project Backup
Automate the process of source code backups - Never lose code again
Selected Controls
Get a list of the selected controls, useful if referring to them all in code
Set Tab Order
Quickly set the tab order of controls using the controls themselves
Copy Control Code
Quickly code controls from the code of another
SQL Formatter
Format your long SQL statements to your requirements
Strings Writer
Get a list of all the captions of a form or project
Swap Controls
Swap the locations of two controls
Tab Controller
Setup the tab order of a form, moving frames up and down in the order in an instant
Template Coder
Generate the code for controls that are similar to those already coded
Word Complete
Write out whole procedures at the click of a button
General Options
Provides you with complete control over TurboVB
Mass Property Updater
Update all properties even across a project
Hot Key Setup
Assign hotkeys to your selection of commonly used functions
Auto Documentor
Produce a help file documenting your project for others to view and benefit from
Enhanced Clipboard
Enhances the clipboard by allowing you to repeatedly paste to it
DB Class Generator
Create classes and collections that map to SQL Server tables
Stats
Get statistical information about a form or project
Auto Enums
Allows the quick creation of a Select Case statement for an enum variable type
Custom Utilities
Allows you to add to the functionality of TurboVB
Multi Clipboard
Gives you 10 additional clipboards
Control Alignment
4 tools for form design


TurboVBLite - VB at Turbo Speed

TurboVBLite V3.1 is a freeware feature packed add-in tool for Microsoft® Visual Basic™ 6; a major enhancement to the VB IDE. It provides seventeen add-ins. It helps to remove some of the repetitive elements in VB programming, this allows you to focus on your more important tasks.

Among its many features are procedure building, automatically coding new controls , declaring a variable with a single click , custom error handlers and listing a procedures callers.

View the TurboVBLite page on the TurboVB website to get the latest info.


Order Form

Registration Form for TurboVB Mini Apps

Program-ID : 198068

Last Name:

_______________________________________

First Name:

_______________________________________

Company:

_______________________________________

Address:

_______________________________________

_______________________________________

_______________________________________

_______________________________________

Postal Code and City:

_______________________________________

Country:

_______________________________________

Phone:

_______________________________________

Fax:

_______________________________________

E-Mail:

_______________________________________

How would you like to receive the registration key

e-mail - fax - postal mail

How would you like to pay:

credit card - wire transfer - check - cash

Credit Card Information (if applicable)

Credit Cards: Visa - Eurocard/Mastercard - American Express - Diners Club

Card Holder: ________________________________

Card No.: ___________________________________

Expiration Date: ________

Date / Signature: ___________________________